Summary:	Greek Type1 fonts
Name:		fonts-type1-greek
Version:	2.0
Release:	1mdk

Url:		http://iris.math.aegean.gr/kerkis/
# date 2003-01-17
Source0:	http://iris.math.aegean.gr/kerkis/Kerkis_for_X11.zip

License: distributable (Copyright (C) Department of Mathematics, Univeristy of Aegean. For use information check http://iris.math.aegean.gr/kerkis/)

Group:		System/Fonts/Type1
BuildArch:	noarch
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	font-tools, lynx
Prereq:		%_sbindir/chkfontpath

%description
Nice Greek scalable fonts, usable for display on screen or for printing.
Please if you want to use them for publishing, read the
licence at http://iris.math.aegean.gr/kerkis/
or in the doc directory.

%prep

%setup -q -n Kerkis_for_X11 
 
%build

if [ ! -r README ] ; then
	echo -e "\nThis is a dump of the web page at" > README
	echo -e "%{url}\n\n" >> README
	lynx -dump "%{url}" >> README
fi

%install
rm -fr %buildroot

install -d %buildroot/%_datadir/fonts/type1/greek/
install -m 0644 *.pfb %buildroot/%_datadir/fonts/type1/greek
install -m 0644 *.afm %buildroot/%_datadir/fonts/type1/greek

cat fonts.scale | \
	sed 's:^\(.*\)-iso8859-7$:\1-iso8859-7#\1-iso10646-1:' | \
	tr '#' '\n' | uniq | grep '[ 	]' > fonts.scale.tmp
wc -l fonts.scale.tmp | awk '{print $1}'> fonts.scale.new
cat fonts.scale.tmp >> fonts.scale.new
install -m 0644 fonts.scale.new \
	%buildroot/%_datadir/fonts/type1/greek/fonts.scale

(
cd %buildroot/%_datadir/fonts/type1/greek
cp fonts.scale fonts.dir
fc-cache . || touch fonts.cache-1
) 

%post
if [ -x %_sbindir/chkfontpath ]; then
   %_sbindir/chkfontpath -q -a %_datadir/fonts/type1/greek
else
   echo "You don't have a chkfontpath utility; you will need to manually"
   echo "Install the fonts into your font server configuration"
fi
%{_bindir}/fc-cache %{_datadir}/fonts/ 

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   [ -x %_sbindir/chkfontpath ] && \
   %_sbindir/chkfontpath -q -r %_datadir/fonts/type1/greek
   %{_bindir}/fc-cache %{_datadir}/fonts/ 
fi

%clean
rm -fr %buildroot

%files
%defattr(0644,root,root,0755)
%doc README License.txt
%dir %_datadir/fonts/type1/greek
%_datadir/fonts/type1/greek/*.pfb
%_datadir/fonts/type1/greek/*.afm
%config(noreplace) %_datadir/fonts/type1/greek/fonts.dir
%config(noreplace) %_datadir/fonts/type1/greek/fonts.scale
%_datadir/fonts/type1/greek/fonts.cache-1

%changelog
* Fri May 14 2004  Pablo Saratxaga <pablo@mandrakesoft.com> 2.0-1mdk
- changed the version number so it is in synch with the kerkis font
  version number, it makes things less misleading.

* Wed Mar 05 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-4mdk
- added *-iso10646-1 lines so the fonts can be used by old programs
  when in el_GR.UTF-8 locale

* Tue Feb 18 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-3mdk
- proper use of fc-cache

* Fri Jan 17 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-2mdk
- updated fonts
- use of fontconfig cache

* Fri Sep 06 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-1mdk
- first mandrake package
